Subject: [PATCH 2/2] clk: fixup argument order when setting VCO parameters

From: [email-masked] (Jonathan Austin)
Date: Mon, 29 Jul 2013 12:01:02 +0100

On 25/07/13 18:44, Mike Turquette wrote:
> Quoting Jonathan Austin (2013-07-25 02:30:29)
>> On 24/07/13 20:32, Linus Walleij wrote:
>>> On Tue, Jul 23, 2013 at 5:42 PM, Jonathan Austin
>>> <[email-masked]> wrote:
>>>
>>>> The order of arguments in the call to vco_set() for the ICST clocks appears to
>>>> have been switched in error, which results in the VCO not being initialised
>>>> correctly. This in turn stops the integrated LCD on things like Integrator/CP
>>>> from working correctly.
>>>>
>>>> This patch fixes the order and restores the expected functionality.
>>>>
>>>> Cc: Linus Walleij <[email-masked]>
>>>> Cc: Mike Turquette <[email-masked]>
>>>> Signed-off-by: Jonathan Austin <[email-masked]>
>>>
>>> Good catch! Reviewed-by: Linus Walleij <[email-masked]>
>>> You should probably mark this for stable as well.
>>>
>>
>> Mike, will you add Cc: stable when you take the fix or shall I resubmit
>> the patch somehow else?
>
> I'll add it.
>

Thanks very much.

Linus or Mike: Should I put 1/2 in this series in to Russell's tree, or 
should that go in elsewise?

Jonny